%global gtk3_version    %(pkg-config --modversion gtk+-3.0 2>/dev/null || echo bad)
%global gtk4_version    %(pkg-config --modversion gtk4 2>/dev/null || echo bad)
%global glib2_version   %(pkg-config --modversion glib-2.0 2>/dev/null || echo bad)
<<<<<<< HEAD
%global nm_version      1:1.16.0
%global libnma_version  1.8.27
%global obsoletes_ver   1:0.9.7

	
%global real_version 1.18.0

%bcond_with libnm_gtk

Name:            network-manager-applet
Version:	 1.18.0
Release:	 0
Summary:	 NetworkManager GUI tools
License:	 GPLv2+
URL:		 http://www.gnome.org/projects/NetworkManager
Source0:         https://gitlab.gnome.org/GNOME/network-manager-applet/-/archive/%{version}/network-manager-applet-%{version}.tar.bz2


Requires:        NetworkManager libnotify
Requires:        libnma = %{version}-%{release}
Requires:        nm-connection-editor = %{version}-%{release}

%if %{with libnm_gtk}
BuildRequires:   NetworkManager-devel
BuildRequires:   NetworkManager-glib-devel
%endif
BuildRequires:	 ModemManager-glib-devel NetworkManager-libnm-devel glib2-devel desktop-file-utils
BuildRequires:   gettext-devel gobject-introspection-devel gtk-doc intltool meson gcr-devel gtk3-devel
BuildRequires:   iso-codes-devel jansson-devel libgudev-devel libnotify-devel libsecret-devel libxslt
BuildRequires:   libselinux-devel mobile-broadband-provider-info-devel 	pkgconfig /usr/bin/autopoint


%description
A network control and status applet for NetworkManager

%package -n      nm-connection-editor
Summary: A network connection configuration editor for NetworkManager

%description -n  nm-connection-editor
This package contains a network configuration editor and Bluetooth modem
utility for use with NetworkManager.

%package -n      libnm-gtk
Summary:         Private libraries for %{name}
Requires:        gtk3 >= %{gtk3_version}
Requires:        mobile-broadband-provider-info >= 0.20090602
Obsoletes:       NetworkManager-gtk < 1:0.9.7
 
%description -n  libnm-gtk
This package contains private libraries to be used only by nm-applet,
nm-connection editor, and the GNOME Control Center.
 
%package -n      libnm-gtk-devel
Summary:         Private header files for %{name} 
Requires:        NetworkManager-devel  NetworkManager-glib-devel
Obsoletes:       NetworkManager-gtk-devel < 1:0.9.7
Requires:        libnm-gtk = %{version}-%{release}
Requires:        gtk3-devel pkgconfig
 
%description -n  libnm-gtk-devel
This package contains private header and pkg-config files to be used only by
GNOME control center.This package is obsoleted by libnma.
 
This package deprecates libnm-gtk.

%package_help
 
%prep
%autosetup -p1 -n "%{name}-%{real_version}"
 
%build
%meson \
    -Dgcr=true \
    -Dselinux=true \
    -Ddisable-static=true \
    -Dappindicator=yes
%meson_build
%install
%meson_install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-vpn-properties
 
%find_lang nm-applet
cat nm-applet.lang >> %{name}.lang
 
# validate .desktop and autostart files
desktop-file-validate $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/nm-applet.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/nm-connection-editor.desktop
 
%check
%meson_test

%ldconfig_scriptlets  -n libnma 
%ldconfig_scriptlets  -n libnm-gtk

%files
%defattr(-,root,root)
%license COPYING
%doc NEWS CONTRIBUTING
%{_bindir}/nm-applet
%{_datadir}/applications/nm-applet.desktop
%{_datadir}/icons/hicolor/22x22/apps/nm-s*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-tech-*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-vpn*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-adhoc.png
%{_datadir}/icons/hicolor/22x22/apps/nm-wwan-tower.png
%{_datadir}/icons/hicolor/22x22/apps/nm-mb-roam.png
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
 
%files -n    nm-connection-editor -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/nm-connection-editor
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/icons/hicolor/*/apps/nm-d*
%{_datadir}/icons/hicolor/*/apps/nm-no-connection*
%{_datadir}/icons/hicolor/16x16/apps/nm-vpn-standalone-lock.png
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_datadir}/metainfo/nm-connection-editor.appdata.xml
%dir %{_datadir}/gnome-vpn-properties
 
%if %{with libnm_gtk}
%files -n    libnm-gtk
%defattr(-,root,root)
%{_libdir}/libnm-gtk.so.*
%{_libdir}/girepository-1.0/NMGtk-1.0.typelib
 
%files -n    libnm-gtk-devel
%defattr(-,root,root)
%{_includedir}/libnm-gtk/*.h
%{_libdir}/pkgconfig/libnm-gtk.pc
%{_libdir}/libnm-gtk.so
%{_datadir}/gir-1.0/NMGtk-1.0.gir
%endif
 
%files -n    libnma
%defattr(-,root,root)
%{_libdir}/libnma.so.*
%{_libdir}/girepository-1.0/NMA-1.0.typelib
 
%files -n    libnma-devel
%defattr(-,root,root)
%{_includedir}/libnma/*.h
%{_libdir}/pkgconfig/libnma.pc
%{_libdir}/libnma.so
%{_datadir}/gir-1.0/NMA-1.0.gir
%{_datadir}/gtk-doc


%files      help
%defattr(-,root,root)
%{_mandir}/man1/nm-applet*
%{_mandir}/man1/nm-connection-editor*

%changelog
<<<<<<< HEAD
* Mon Jun 22 2020 Adam Williamson <awilliam@redhat.com> - 1.18.0-1
=======
* Mon Jun 22 2020 Adam Williamson <awilliam@redhat.com> - 1.18.0-0
>>>>>>> 19109fbb5c4965669031449ed4460cd6032ba9af
- Update to 1.18.0

* Thu Nov 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.8.22-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add the libxslt in buildrequires

* Fri Sep 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.8.22-1
- Package init
